Copyright © 2013, UChicago Argonne, LLC
All Rights Reserved
ALCF BigSort Version 1.0

Jiayuan Meng (jmeng@alcf.anl.gov)
Vitali Morozov (morozov@anl.gov)
Venkatram Vishwanath (venkatv@mcs.anl.gov)
Argonne National Laboratory

OPEN SOURCE LICENSE

Redistribution and use in source and binary forms, with or without modification,
are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of
conditions and the following disclaimer.  Software changes, modifications, or derivative
works, should be noted with comments and the author and organization's name.

2. Redistributions in binary form must reproduce the above copyright notice, this list
of conditions and the following disclaimer in the documentation and/or other materials
provided with the distribution.

3. Neither the names of UChicago Argonne, LLC or the Department of Energy nor the names
of its contributors may be used to endorse or promote products derived from this software
without specific prior written permission.

4. The software and the end-user documentation included with the redistribution, if any,
must include the following acknowledgment:

"This product includes software produced by UChicago Argonne, LLC under Contract
No. DE-AC02-06CH11357 with the Department of Energy.

******************************************************************************************************
DISCLAIMER

THE SOFTWARE IS SUPPLIED "AS IS" WITHOUT WARRANTY OF ANY KIND.

Neither the United States GOVERNMENT, nor the United States Department of Energy, NOR UChicago Argonne,
LLC, nor any of their employees, makes any warranty, express or implied, or assumes any legal liability
or responsibility for the accuracy, completeness, or usefulness of any information, data, apparatus,
product, or process disclosed, or represents that its use would not infringe privately owned rights.

***************************************************************************************************

